# Get an existing provider profile import Returns a specific provider profile import model, allowing you to check the model status and get the profile value. Endpoint: GET /providers/profiles/import/{importId} Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `importId` (string, required) Identifier of the provider profile import to get the data for. ## Response 200 fields (application/json): - `id` (string) Unique identifier associated with this provider profile import. - `providerId` (string) The provider unique identifier associated with this profile import. - `source` (string) Source of the import. Enum: "Npi", "CaqhPo", "AmericanMedicalAssociationPhysician", "AmericanMedicalAssociationPhysicianAssistant" - `started` (string) TimeStamp of this import when started - `completed` (string) TimeStamp of this import when completed or null if is still in progress. - `status` (string) Status of the import. If it is Pending or Working it means that we are busy performing the import. Once the status is Completed or Failed the import is done. Enum: "Pending", "Working", "Completed", "Failed" - `trigger` (string) Type of trigger for this import. Enum: "Manual", "Automated" - `failureCode` (string) If set it means there was an error during the import or null when no errors happened. Enum: "DatabaseError", "InvalidImportSourceError", "UnknownError", "ParseError", "NpiSourceError", "ImportError", "ImportRequestError", "SourceError", "NoContent", "BadRequest", "Unauthorized", "Forbidden", "NotFound", "NotAcceptable", "RequestTimeout", "TooManyRequests", "InternalServerError", "BadGateway", "ServiceUnavailable", "GatewayTimeout" - `failureReason` (object) An object with a reason message template and an array of params. Can be used to construct a meaningful description of the error. Not set when no errors happened. - `failureReason.messageTemplate` (string) An informative human readable message describing the verification failure. - `failureReason.messageParams` (object) Collection of key/value pairs containing parameters to be replaced in messageTemplate. - `profile` (any) - `parameters` (array) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields